org.apache.avro.io.parsing

## Interface SkipParser.SkipHandler

All Known Implementing Classes:
  JsonDecoder, ParsingDecoder, ResolvingDecoder, ValidatingDecoder

Enclosing class:
  SkipParser

    public static interface SkipParser.SkipHandler

The clients implement this interface to skip symbols and actions.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `skipAction()` Skips the action at the top of the stack.
`void` `skipTopSymbol()` Skips the symbol at the top of the stack.

### Method Detail

#### skipAction

    void skipAction()
             throws IOException

Skips the action at the top of the stack.

Throws:
  `IOException`

#### skipTopSymbol

    void skipTopSymbol()
                throws IOException

Skips the symbol at the top of the stack.

Throws:
  `IOException`